# PSF-LoginServer - master - net.psforever.services.avatar.AvatarResponse.PlayerState
PSF - LoginServer - master - net.psforever.services.avatar.AvatarResponse.PlayerState
Keywords: PSF LoginServer master net.psforever.services.avatar.AvatarResponse.PlayerState

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package services
  Definition Classes
    psforever
-  package avatar
  Definition Classes
    services
-  object AvatarResponse
  Definition Classes
    avatar
- ArmorChanged
- ChangeAmmo
- ChangeExosuit
- ChangeFireMode
- ChangeFireState_Start
- ChangeFireState_Stop
- ChangeLoadout
- ConcealPlayer
- Destroy
- DestroyDisplay
- DropItem
- DropSpecialItem
- EnvironmentalDamage
- EquipmentInHand
- GenericObjectAction
- HitHint
- Killed
- KitNotUsed
- LoadPlayer
- LoadProjectile
- ObjectDelete
- ObjectHeld
- OxygenState
- PlanetsideAttribute
- PlanetsideAttributeSelf
- PlanetsideAttributeToAll
- PlayerState
- ProjectileAutoLockAwareness
- ProjectileExplodes
- ProjectileState
- PutDownFDU
- Release
- Reload
- Response
- Revive
- SendResponse
- SendResponseTargeted
- SetEmpire
- StowEquipment
- TeardownConnection
- TerminalOrderResult
- UseKit
- WeaponDryFire

c

net.psforever.services.avatar.AvatarResponse

# PlayerState

###

#### final case class PlayerState(pos: Vector3, vel: Option[Vector3], facingYaw: Float, facingPitch: Float, facingYawUpper: Float, timestamp: Int, is_crouching: Boolean, is_jumping: Boolean, jump_thrust: Boolean, is_cloaked: Boolean, spectator: Boolean, weaponInHand: Boolean) extends Response with Product with Serializable

Source
  AvatarServiceResponse.scala

Linear Supertypes
Serializable, Product, Equals, Response, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. PlayerState
2. Serializable
3. Product
4. Equals
5. Response
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new PlayerState(pos: Vector3, vel: Option[Vector3], facingYaw: Float, facingPitch: Float, facingYawUpper: Float, timestamp: Int, is_crouching: Boolean, is_jumping: Boolean, jump_thrust: Boolean, is_cloaked: Boolean, spectator: Boolean, weaponInHand: Boolean)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  val facingPitch: Float
8.  val facingYaw: Float
9.  val facingYawUpper: Float
10.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
11.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  val is_cloaked: Boolean
14.  val is_crouching: Boolean
15.  val is_jumping: Boolean
16.  val jump_thrust: Boolean
17.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  val pos: Vector3
21.  def productElementNames: Iterator[String]
    Definition Classes
      Product
22.  val spectator: Boolean
23.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
24.  val timestamp: Int
25.  val vel: Option[Vector3]
26.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
27.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
28.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
29.  val weaponInHand: Boolean

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Response

### Inherited from AnyRef

### Inherited from Any

### Ungrouped